// Copyright (c) 2016, InfluxFramework LLC and contributors
// For license information, please see license.txt
/* eslint-disable */

influxframework.query_reports["Gross and Net Profit Report"] = {
	"filters": [

	]
}
influxframework.require("assets/influxerp/js/financial_statements.js", function() {
	influxframework.query_reports["Gross and Net Profit Report"] = $.extend({},
		influxerp.financial_statements);

	influxframework.query_reports["Gross and Net Profit Report"]["filters"].push(
		{
			"fieldname": "project",
			"label": __("Project"),
			"fieldtype": "MultiSelectList",
			get_data: function(txt) {
				return influxframework.db.get_link_options('Project', txt);
			}
		},
		{
			"fieldname": "accumulated_values",
			"label": __("Accumulated Values"),
			"fieldtype": "Check"
		}
	);
});
